Vaquill Count US Statute Sections
curl --request POST \
--url https://api.aisa.one/apis/v1/vaquill/us/statutes/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chapter": "<string>",
"code": "<string>",
"excludeRepealed": true,
"part": "<string>",
"titleNumber": 0
}
'import requests
url = "https://api.aisa.one/apis/v1/vaquill/us/statutes/count"
payload = {
"chapter": "<string>",
"code": "<string>",
"excludeRepealed": True,
"part": "<string>",
"titleNumber": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chapter: '<string>',
code: '<string>',
excludeRepealed: true,
part: '<string>',
titleNumber: 0
})
};
fetch('https://api.aisa.one/apis/v1/vaquill/us/statutes/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/vaquill/us/statutes/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chapter' => '<string>',
'code' => '<string>',
'excludeRepealed' => true,
'part' => '<string>',
'titleNumber' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/vaquill/us/statutes/count"
payload := strings.NewReader("{\n \"chapter\": \"<string>\",\n \"code\": \"<string>\",\n \"excludeRepealed\": true,\n \"part\": \"<string>\",\n \"titleNumber\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/vaquill/us/statutes/count")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chapter\": \"<string>\",\n \"code\": \"<string>\",\n \"excludeRepealed\": true,\n \"part\": \"<string>\",\n \"titleNumber\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/vaquill/us/statutes/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chapter\": \"<string>\",\n \"code\": \"<string>\",\n \"excludeRepealed\": true,\n \"part\": \"<string>\",\n \"titleNumber\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Vaquill
Vaquill Count US Statute Sections
Vaquill Count US Statute Sections
<!-- aisa-pricing:start -->
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
vaquill
/
us
/
statutes
/
count
Vaquill Count US Statute Sections
curl --request POST \
--url https://api.aisa.one/apis/v1/vaquill/us/statutes/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chapter": "<string>",
"code": "<string>",
"excludeRepealed": true,
"part": "<string>",
"titleNumber": 0
}
'import requests
url = "https://api.aisa.one/apis/v1/vaquill/us/statutes/count"
payload = {
"chapter": "<string>",
"code": "<string>",
"excludeRepealed": True,
"part": "<string>",
"titleNumber": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chapter: '<string>',
code: '<string>',
excludeRepealed: true,
part: '<string>',
titleNumber: 0
})
};
fetch('https://api.aisa.one/apis/v1/vaquill/us/statutes/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/vaquill/us/statutes/count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chapter' => '<string>',
'code' => '<string>',
'excludeRepealed' => true,
'part' => '<string>',
'titleNumber' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/vaquill/us/statutes/count"
payload := strings.NewReader("{\n \"chapter\": \"<string>\",\n \"code\": \"<string>\",\n \"excludeRepealed\": true,\n \"part\": \"<string>\",\n \"titleNumber\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/vaquill/us/statutes/count")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chapter\": \"<string>\",\n \"code\": \"<string>\",\n \"excludeRepealed\": true,\n \"part\": \"<string>\",\n \"titleNumber\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/vaquill/us/statutes/count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chapter\": \"<string>\",\n \"code\": \"<string>\",\n \"excludeRepealed\": true,\n \"part\": \"<string>\",\n \"titleNumber\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Request contract
- Method and path: POST /apis/v1/vaquill/us/statutes/count
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/vaquill/us/statutes/count - Runtime facts: b4be8345fd8915d3f9d5a6708e594f13679f07b8121981339382557f368523ab
{
"operationId": "post_vaquill_apis_v1_vaquill_us_statutes_count",
"method": "POST",
"path": "/apis/v1/vaquill/us/statutes/count",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"properties": {
"actStatus": {
"anyOf": [
{
"enum": [
"abolished",
"deleted",
"expired",
"in_force",
"inactive",
"non_precedential",
"not_funded",
"not_yet_effective",
"omitted",
"proposed",
"recodified",
"recompiled",
"rejected",
"relocated",
"removed",
"renumbered",
"repealed",
"rescinded",
"reserved",
"revoked",
"superseded",
"terminated",
"transferred",
"unconstitutional",
"vacant",
"vacated",
"vetoed",
"withdrawn"
],
"type": "string"
},
{
"items": {
"enum": [
"abolished",
"deleted",
"expired",
"in_force",
"inactive",
"non_precedential",
"not_funded",
"not_yet_effective",
"omitted",
"proposed",
"recodified",
"recompiled",
"rejected",
"relocated",
"removed",
"renumbered",
"repealed",
"rescinded",
"reserved",
"revoked",
"superseded",
"terminated",
"transferred",
"unconstitutional",
"vacant",
"vacated",
"vetoed",
"withdrawn"
],
"type": "string"
},
"type": "array"
}
]
},
"chapter": {
"anyOf": [
{
"type": "string"
},
{
"items": {
"type": "string"
},
"type": "array"
}
]
},
"code": {
"anyOf": [
{
"type": "string"
},
{
"items": {
"type": "string"
},
"type": "array"
}
]
},
"corpusType": {
"anyOf": [
{
"enum": [
"USC",
"CFR",
"STATE",
"CONSTITUTION",
"FEDERAL_RULES",
"STATE_CONSTITUTION",
"STATE_RULES",
"EXECUTIVE_ACTION",
"REGULATION",
"FEDERAL_REGISTER",
"FEDERAL_REGISTER_NOTICE",
"AGENCY_GUIDANCE",
"SENTENCING_GUIDELINES",
"US_TAX_TREATY",
"STATE_AGENCY_GUIDANCE",
"STATE_AG_OPINION",
"SESSION_LAW",
"STATUTE_COMPILATION",
"AGENCY_ADJUDICATION",
"CFR_ANNUAL",
"USC_ANNUAL"
],
"type": "string"
},
{
"items": {
"enum": [
"USC",
"CFR",
"STATE",
"CONSTITUTION",
"FEDERAL_RULES",
"STATE_CONSTITUTION",
"STATE_RULES",
"EXECUTIVE_ACTION",
"REGULATION",
"FEDERAL_REGISTER",
"FEDERAL_REGISTER_NOTICE",
"AGENCY_GUIDANCE",
"SENTENCING_GUIDELINES",
"US_TAX_TREATY",
"STATE_AGENCY_GUIDANCE",
"STATE_AG_OPINION",
"SESSION_LAW",
"STATUTE_COMPILATION",
"AGENCY_ADJUDICATION",
"CFR_ANNUAL",
"USC_ANNUAL"
],
"type": "string"
},
"type": "array"
}
]
},
"excludeRepealed": {
"type": "boolean"
},
"part": {
"anyOf": [
{
"type": "string"
},
{
"items": {
"type": "string"
},
"type": "array"
}
]
},
"state": {
"anyOf": [
{
"enum": [
"federal",
"al",
"ak",
"az",
"ar",
"ca",
"co",
"ct",
"de",
"dc",
"fl",
"ga",
"hi",
"id",
"il",
"in",
"ia",
"ks",
"ky",
"la",
"me",
"md",
"ma",
"mi",
"mn",
"ms",
"mo",
"mt",
"ne",
"nv",
"nh",
"nj",
"nm",
"ny",
"nc",
"nd",
"oh",
"ok",
"or",
"pa",
"pr",
"ri",
"sc",
"sd",
"tn",
"tx",
"ut",
"vt",
"va",
"wa",
"wv",
"wi",
"wy"
],
"type": "string"
},
{
"items": {
"enum": [
"federal",
"al",
"ak",
"az",
"ar",
"ca",
"co",
"ct",
"de",
"dc",
"fl",
"ga",
"hi",
"id",
"il",
"in",
"ia",
"ks",
"ky",
"la",
"me",
"md",
"ma",
"mi",
"mn",
"ms",
"mo",
"mt",
"ne",
"nv",
"nh",
"nj",
"nm",
"ny",
"nc",
"nd",
"oh",
"ok",
"or",
"pa",
"pr",
"ri",
"sc",
"sd",
"tn",
"tx",
"ut",
"vt",
"va",
"wa",
"wv",
"wi",
"wy"
],
"type": "string"
},
"type": "array"
}
]
},
"titleNumber": {
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
}
},
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
abolished, deleted, expired, in_force, inactive, non_precedential, not_funded, not_yet_effective, omitted, proposed, recodified, recompiled, rejected, relocated, removed, renumbered, repealed, rescinded, reserved, revoked, superseded, terminated, transferred, unconstitutional, vacant, vacated, vetoed, withdrawn Available options:
USC, CFR, STATE, CONSTITUTION, FEDERAL_RULES, STATE_CONSTITUTION, STATE_RULES, EXECUTIVE_ACTION, REGULATION, FEDERAL_REGISTER, FEDERAL_REGISTER_NOTICE, AGENCY_GUIDANCE, SENTENCING_GUIDELINES, US_TAX_TREATY, STATE_AGENCY_GUIDANCE, STATE_AG_OPINION, SESSION_LAW, STATUTE_COMPILATION, AGENCY_ADJUDICATION, CFR_ANNUAL, USC_ANNUAL Available options:
federal, al, ak, az, ar, ca, co, ct, de, dc, fl, ga, hi, id, il, in, ia, ks, ky, la, me, md, ma, mi, mn, ms, mo, mt, ne, nv, nh, nj, nm, ny, nc, nd, oh, ok, or, pa, pr, ri, sc, sd, tn, tx, ut, vt, va, wa, wv, wi, wy Required range:
-9007199254740991 <= x <= 9007199254740991Response
Normalized successful response